Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234087 - Incorrect detection of multiple plaintexts
Summary: Incorrect detection of multiple plaintexts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg
Version: 8
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: 238429
TreeView+ depends on / blocked
 
Reported: 2007-03-26 22:40 UTC by mgm
Modified: 2008-05-31 02:16 UTC (History)
2 users (show)

Fixed In Version: 1.4.7-10.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-31 02:15:34 UTC


Attachments (Terms of Use)
Bug fix (deleted)
2007-04-17 03:09 UTC, David Shaw
no flags Details | Diff

Description mgm 2007-03-26 22:40:56 UTC
Description of problem:
When decrypting multiple GPG encrypted files with --multifile --decrypt (or
--decrypt-files), I get "gpg: WARNING: multiple plaintexts seen" warnings for
all but the first file in the list.  Furthermore, decryption fails with the
message "gpg: handle plaintext failed: unexpected data" on all but the first
file unless I give it the --allow-multiple-messages option.  But even then, I
still get the warning messages.  

All files in the list have been encrypted with gnupg, verified with 'file' as
"GPG encrypted data", and are not plain text.  

Version-Release number of selected component (if applicable):
gpg (GnuPG) 1.4.7


How reproducible:
Completely reproducible.

Steps to Reproduce:
1. Create a subdir with several files.
2. Encrypt all files in the subdir with gnupg; remove originals
3. Attept to decrypt all files at once with 'gpg --multifile --decrypt *'
  
Actual results:
Only the first file in the shell expansion list of '*' gets decrypted.  The rest
generate the warning message "gpg: WARNING: multiple plaintexts seen" ans well
as a line indicating that decryption failed.  Using --allow-multiple-messages
will cause the files to be decrypted, but the warning message persists.

Expected results:
All files decrypted successfully with no warnings or errors.

Additional info:

Comment 1 David Shaw 2007-04-17 03:09:41 UTC
Created attachment 152736 [details]
Bug fix

Here's a patch.  It'll be in 1.4.8.

Comment 2 mgm 2007-04-17 18:07:04 UTC
Just tested patch -- works fine.  Thanks!

--mgm

Comment 3 Bug Zapper 2008-04-04 06:41:27 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Nalin Dahyabhai 2008-04-16 21:33:14 UTC
Yeah, that's still there.  Moving back to assigned, setting release to 8.

Comment 5 Fedora Update System 2008-04-16 22:43:22 UTC
gnupg-1.4.7-9.fc7 has been submitted as an update for Fedora 7

Comment 6 Fedora Update System 2008-04-16 22:43:22 UTC
gnupg-1.4.7-10.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-04-22 22:36:53 UTC
gnupg-1.4.7-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnupg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-3233

Comment 8 Fedora Update System 2008-05-31 02:15:32 UTC
gnupg-1.4.7-10.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-05-31 02:16:28 UTC
gnupg-1.4.7-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.